## kddockwidgets 1.6.0

=== debian/changelog ===
kddockwidgets (1.6.0-0+22.04+jammy+release+build1) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 28 Jan 2023 00:37:13 +0000

kddockwidgets (1.6.0-0) jammy; urgency=medium

  * initial packaging

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 13 Dec 2022 20:11:45 +0100
