## kddockwidgets 2.1.0

=== debian/changelog ===
kddockwidgets (2.1.0-0zneon+24.04+noble+unstable+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 11:25:25 +0000

kddockwidgets (2.1.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 27 Jul 2024 15:25:06 +1000

kddockwidgets (2.0.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 20 Dec 2023 14:28:52 +1000

kddockwidgets (1.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 26 May 2023 13:29:36 +1000
