## kddockwidgets 2.3.0+ds

=== debian/changelog ===
kddockwidgets (2.3.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1113918)

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 27 Sep 2025 21:03:59 +0200
