=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
DEB_UPSTREAM_VERSION=$(shell sh -c 'printf "$${1%%+ds*}"' -- "$(DEB_VERSION_UPSTREAM)")

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(DEB_TARGET_ARCH),arm64)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,gcs-report-dynamic=none
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DKDDockWidgets_QT6=true

execute_after_dh_installexamples:
	mv debian/libkddockwidgets-qt6-dev/usr/share/doc/libkddockwidgets-qt6-dev/examples/examples-qt6 \
           debian/libkddockwidgets-qt6-dev/usr/share/doc/libkddockwidgets-qt6-dev/examples/python-qt6
	rm -rf debian/libkddockwidgets-qt6-dev/usr/share/doc/libkddockwidgets-qt6-dev/examples/flutter/
	rm -rf debian/libkddockwidgets-qt6-dev/usr/share/doc/libkddockwidgets-qt6-dev/examples/vcpkg/

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(DEB_UPSTREAM_VERSION)
