=== debian/watch ===
Version: 5
Template: Github
Owner: KDAB
Project: KDDockWidgets
Repack: yes
Repacksuffix: +ds
Dversionmangle: s/\+ds$//
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v@ANY_VERSION@
