## kddockwidgets 2.4.0

=== debian/changelog ===
kddockwidgets (2.4.0-0zneon+24.04+noble+release+build4) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 00:25:23 +0000

kddockwidgets (2.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 06 Nov 2025 08:13:16 +1000
