=== debian/control ===
Source: kddockwidgets
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules,
               graphviz,
               libqt5qmlmodels5,
               libqt5quickcontrols2-5,
               libqt5x11extras5-dev,
               ninja-build,
               pkg-kde-tools,
               qhelpgenerator-qt5,
               qt6-base-dev,
               qt6-declarative,
               qt6-declarative-dev,
               qt6-tools,
               qtbase5-dev (>= 5.15.7),
               qtbase5-private-dev
Standards-Version: 4.2.1
Homepage: https://github.com/KDAB/KDDockWidgets
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kddockwidgets.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kddockwidgets
Maintainer: Neon CI <neon@kde.org>

Package: libkddockwidgets
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDDockWidgets5 is a framework for custom-tailored docking systems in Qt5.
 .
 This package contains the KDDockWidgets5 framework for building applications
 using KDDockWidgets5.

Package: libkddockwidgets-dev
Architecture: any
Multi-Arch: same
Depends: libkddockwidgets (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDDockWidgets5 is a framework for custom-tailored docking systems in Qt5.
 .
 This package contains the KDDockWidgets5-dev framework files for building applications
 using KDDockWidgets5.

Package: libkddockwidgets-doc
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDDockWidgets5 is a framework for custom-tailored docking systems in Qt5.

Package: libkddockwidgets-qt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkddockwidgets-qt6-1.6
Description: KDDockWidgets6 is a framework for custom-tailored docking systems in Qt.
 .
 This package contains the KDDockWidgets6 framework files for building applications
 using KDDockWidgets.

Package: libkddockwidgets-qt6-dev
Architecture: any
Multi-Arch: same
Depends: libkddockwidgets-qt6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDDockWidgets6 is a framework for custom-tailored docking systems in Qt.
 .
 This package contains the KDDockWidgets6-dev framework files for building applications
 using KDDockWidgets.

Package: libkddockwidgets-qt6-doc
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDDockWidgets6 is a framework for custom-tailored docking systems in Qt6.
