=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#CMAKE_ARGS = -G Ninja -DKDDockWidgets_EXAMPLES=true -D-DKDDockWidgets_DOCS=true -DKDDockWidgets_TESTS=true -DKDDockWidgets_QTQUICK=true -DKDDockWidgets_PYTHON_BINDINGS=true
CMAKE_ARGS = -G Ninja -DKDDockWidgets_EXAMPLES=true -DKDDockWidgets_DOCS=true -DKDDockWidgets_TESTS=false
%:
	dh $@ --with pkgkde_symbolshelper

execute_after_dh_auto_clean:
	rm -rf
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_ARGS) -DKDDockWidgets_QT6=false
	dh_auto_configure --builddirectory=build-Qt6 -- $(CMAKE_ARGS) -DKDDockWidgets_QT6=true

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6

execute_after_dh_install-indep:
	#rm debian/qcoro-doc/usr/share/doc/qcoro-doc/docs/changelog.md
	#rm -r debian/qcoro-doc/usr/share/doc/qcoro-doc/docs/about
	#rm -r debian/qcoro-doc/usr/share/doc/qcoro-doc/docs/overrides

override_dh_auto_test:
	dh_auto_test --no-parallel
	dh_auto_test --no-parallel --builddirectory=build-Qt6
