=== debian/watch ===
version=3
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kddockwidgets-$1.tar.gz%" \
   https://github.com/KDAB/kddockwidgets/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
