## kddockwidgets 2.4.0+ds

=== debian/changelog ===
kddockwidgets (2.4.0+ds-2) unstable; urgency=medium

  * d/rules: remove snippet setting gcs-report-dynamic=none on ARM64
    (Closes: #1127151)

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 06 Feb 2026 15:37:39 +0100

kddockwidgets (2.4.0+ds-1) unstable; urgency=medium

  * New upstream release

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 19 Dec 2025 09:06:10 +0100
