=== debian/control ===
Source: kddockwidgets
Section: libs
Maintainer: Sébastien Noel <sebastien@twolife.be>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake,
               libfmt-dev,
               libspdlog-dev,
               nlohmann-json3-dev,
               pkgconf,
               qt6-base-private-dev,
               qt6-declarative-private-dev
Standards-Version: 4.7.3
Homepage: https://www.kdab.com/software-technologies/developer-tools/kddockwidgets/
Vcs-Browser: https://salsa.debian.org/twolife/kddockwidgets
Vcs-Git: https://salsa.debian.org/twolife/kddockwidgets.git

Package: libkddockwidgets-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkddockwidgets-qt6-3 (= ${binary:Version}), qt6-base-dev, qt6-declarative-dev, ${misc:Depends}
Description: Dock Widget Framework for Qt - development files
 KDDockWidgets is a cross-platform Qt dock widget library suitable for
 replacing QDockWidget and implementing advanced functionalities missing
 in Qt. Its featurset include support for QtWidgets and QtQuick/QML, alongside
 PySide2 bindings
 .
 This package contains the files needed to compile and link programs which
 use KDDockWidgets.

Package: libkddockwidgets-qt6-3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dock Widget Framework for Qt
 KDDockWidgets is a cross-platform Qt dock widget library suitable for
 replacing QDockWidget and implementing advanced functionalities missing
 in Qt. Its featurset include support for QtWidgets and QtQuick/QML, alongside
 PySide2 bindings
 .
 This package contains the shared library.
